Bug 1344678 - Services: Setting a Retirement Dates/ Retiring for a service shows error in log
Summary: Services: Setting a Retirement Dates/ Retiring for a service shows error in log
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.0
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard: service:catalog
: 1361310 (view as bug list)
Depends On:
Blocks: 1349989 1361690
TreeView+ depends on / blocked
 
Reported: 2016-06-10 10:23 UTC by Niyaz Akhtar Ansari
Modified: 2017-01-11 20:07 UTC (History)
9 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1349989 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:07:31 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screenshot (70.20 KB, image/png)
2016-06-10 10:23 UTC, Niyaz Akhtar Ansari
no flags Details

Description Niyaz Akhtar Ansari 2016-06-10 10:23:51 UTC
Created attachment 1166611 [details]
screenshot

Description of problem:


Version-Release number of selected component (if applicable):
Version:5.6.0.10-rc2.1.20160607103248_d06c141


How reproducible:
100%

Steps to Reproduce:
1.Navigate to Services->Catalogs->Add new catalog bundle
2.Click the Service Catalogs accordion, and select the service-> click order
3.Navigate to Services->My Services-> Select the service 
4.Click Lifecycle,then click Set Retirement date/Retire selected item.


Actual results:
Throws an error in log When clicking on Set Retirement date/ Retire selected item.

Expected results:
No error 

Additional info:
Production Log:


[----] I, [2016-06-10T06:13:22.585710 #3001:155124c]  INFO -- : Started POST "/service/x_button?pressed=service_retire" for 127.0.0.1 at 2016-06-10 06:13:22 -0400
[----] I, [2016-06-10T06:13:22.588000 #3001:155124c]  INFO -- : Processing by ServiceController#x_button as JS
[----] I, [2016-06-10T06:13:22.588159 #3001:155124c]  INFO -- :   Parameters: {"miq_grid_checks"=>"2", "pressed"=>"service_retire"}
[----] I, [2016-06-10T06:13:22.767155 #3001:155124c]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.3ms)
[----] F, [2016-06-10T06:13:22.768520 #3001:155124c] FATAL -- : Error caught: [AbstractController::DoubleRenderError] Render and/or redirect were called multiple times in this action. Please note that you may only call render OR redirect, and at most once per action. Also note that neither redirect nor render terminate execution of the action, so if you want to exit an action after redirecting, you need to do something like "redirect_to(...) and return".
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/rendering.rb:35:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `ms'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activerecord/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:43:in `render'
/var/www/miq/vmdb/app/controllers/service_controller.rb:50:in `x_button'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/base.rb:181:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/rendering.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:506:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:101:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:750:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/rescue.rb:20:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/base.rb:126:in `process'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal.rb:190:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal.rb:262:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:32:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:39:in `block in serve'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:26:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:26:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:725:in `call'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/strategy.rb:186:in `call!'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/strategy.rb:164:in `call'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/builder.rb:63:in `call'
/opt/rh/cfme-gemset/gems/secure_headers-3.0.3/lib/secure_headers/middleware.rb:10:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/etag.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/conditional_get.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/head.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/session/abstract/id.rb:222:in `context'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/session/abstract/id.rb:216:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/cookies.rb:613:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/rack/logger.rb:36:in `call_app'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/rack/logger.rb:26:in `call'
/opt/rh/cfme-gemset/gems/request_store-1.3.1/lib/request_store/middleware.rb:9:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/request_id.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/method_override.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/runtime.rb:22:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/executor.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/sendfile.rb:111:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/engine.rb:522:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/configuration.rb:224:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:561:in `handle_request'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:406:in `process_client'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:271:in `block in run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `block in spawn_thread'
/opt/rh/cfme-gemset/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'
/opt/rh/cfme-gemset/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
[----] I, [2016-06-10T06:13:22.769539 #3001:155124c]  INFO -- : Completed 500 Internal Server Error in 181ms (Views: 2.5ms | ActiveRecord: 0.0ms)
[----] F, [2016-06-10T06:13:22.770460 #3001:155124c] FATAL -- :   
[----] F, [2016-06-10T06:13:22.770565 #3001:155124c] FATAL -- : AbstractController::DoubleRenderError (Render and/or redirect were called multiple times in this action. Please note that you may only call render OR redirect, and at most once per action. Also note that neither redirect nor render terminate execution of the action, so if you want to exit an action after redirecting, you need to do something like "redirect_to(...) and return".):
[----] F, [2016-06-10T06:13:22.770624 #3001:155124c] FATAL -- :   
[----] F, [2016-06-10T06:13:22.770669 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/rendering.rb:35:in `render'
[----] F, [2016-06-10T06:13:22.770708 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
[----] F, [2016-06-10T06:13:22.770754 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
[----] F, [2016-06-10T06:13:22.770810 #3001:155124c] FATAL -- : /opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'
[----] F, [2016-06-10T06:13:22.770849 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `ms'
[----] F, [2016-06-10T06:13:22.770891 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
[----] F, [2016-06-10T06:13:22.770930 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
[----] F, [2016-06-10T06:13:22.770968 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activerecord/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
[----] F, [2016-06-10T06:13:22.771003 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:43:in `render'
[----] F, [2016-06-10T06:13:22.771050 #3001:155124c] FATAL -- : app/controllers/application_controller.rb:128:in `block (2 levels) in render_exception'
[----] F, [2016-06-10T06:13:22.771106 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/mime_responds.rb:201:in `call'
[----] F, [2016-06-10T06:13:22.771158 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/mime_responds.rb:201:in `respond_to'
[----] F, [2016-06-10T06:13:22.771197 #3001:155124c] FATAL -- : app/controllers/application_controller.rb:126:in `render_exception'
[----] F, [2016-06-10T06:13:22.771243 #3001:155124c] FATAL -- : app/controllers/application_controller.rb:121:in `error_handler'
[----] F, [2016-06-10T06:13:22.771280 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/rescuable.rb:89:in `call'
[----] F, [2016-06-10T06:13:22.771324 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/rescuable.rb:89:in `rescue_with_handler'
[----] F, [2016-06-10T06:13:22.771361 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/rescuable.rb:156:in `rescue_with_handler'
[----] F, [2016-06-10T06:13:22.771446 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/rescue.rb:23:in `rescue in process_action'
[----] F, [2016-06-10T06:13:22.771501 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/rescue.rb:20:in `process_action'
[----] F, [2016-06-10T06:13:22.771567 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
[----] F, [2016-06-10T06:13:22.771614 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
[----] F, [2016-06-10T06:13:22.771668 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
[----] F, [2016-06-10T06:13:22.771722 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `instrument'
[----] F, [2016-06-10T06:13:22.771805 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
[----] F, [2016-06-10T06:13:22.771892 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
[----] F, [2016-06-10T06:13:22.771976 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
[----] F, [2016-06-10T06:13:22.772029 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/base.rb:126:in `process'
[----] F, [2016-06-10T06:13:22.772100 #3001:155124c] FATAL -- : actionview (5.0.0.rc1) lib/action_view/rendering.rb:30:in `process'
[----] F, [2016-06-10T06:13:22.772151 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal.rb:190:in `dispatch'
[----] F, [2016-06-10T06:13:22.772189 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal.rb:262:in `dispatch'
[----] F, [2016-06-10T06:13:22.772236 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
[----] F, [2016-06-10T06:13:22.772272 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:32:in `serve'
[----] F, [2016-06-10T06:13:22.772318 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:39:in `block in serve'
[----] F, [2016-06-10T06:13:22.772359 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:26:in `each'
[----] F, [2016-06-10T06:13:22.772443 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:26:in `serve'
[----] F, [2016-06-10T06:13:22.772496 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:725:in `call'
[----] F, [2016-06-10T06:13:22.772534 #3001:155124c] FATAL -- : omniauth (1.3.1) lib/omniauth/strategy.rb:186:in `call!'
[----] F, [2016-06-10T06:13:22.772570 #3001:155124c] FATAL -- : omniauth (1.3.1) lib/omniauth/strategy.rb:164:in `call'
[----] F, [2016-06-10T06:13:22.772608 #3001:155124c] FATAL -- : omniauth (1.3.1) lib/omniauth/builder.rb:63:in `call'
[----] F, [2016-06-10T06:13:22.772652 #3001:155124c] FATAL -- : secure_headers (3.0.3) lib/secure_headers/middleware.rb:10:in `call'
[----] F, [2016-06-10T06:13:22.772728 #3001:155124c] FATAL -- : rack (2.0.0.rc1) lib/rack/etag.rb:25:in `call'
[----] F, [2016-06-10T06:13:22.772785 #3001:155124c] FATAL -- : rack (2.0.0.rc1) lib/rack/conditional_get.rb:38:in `call'
[----] F, [2016-06-10T06:13:22.772824 #3001:155124c] FATAL -- : rack (2.0.0.rc1) lib/rack/head.rb:12:in `call'
[----] F, [2016-06-10T06:13:22.772866 #3001:155124c] FATAL -- : rack (2.0.0.rc1) lib/rack/session/abstract/id.rb:222:in `context'
[----] F, [2016-06-10T06:13:22.772922 #3001:155124c] FATAL -- : rack (2.0.0.rc1) lib/rack/session/abstract/id.rb:216:in `call'
[----] F, [2016-06-10T06:13:22.772964 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/cookies.rb:613:in `call'
[----] F, [2016-06-10T06:13:22.773013 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
[----] F, [2016-06-10T06:13:22.773051 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
[----] F, [2016-06-10T06:13:22.773105 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
[----] F, [2016-06-10T06:13:22.773157 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
[----] F, [2016-06-10T06:13:22.773194 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
[----] F, [2016-06-10T06:13:22.773231 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
[----] F, [2016-06-10T06:13:22.773266 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
[----] F, [2016-06-10T06:13:22.773306 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
[----] F, [2016-06-10T06:13:22.773343 #3001:155124c] FATAL -- : railties (5.0.0.rc1) lib/rails/rack/logger.rb:36:in `call_app'
[----] F, [2016-06-10T06:13:22.773405 #3001:155124c] FATAL -- : railties (5.0.0.rc1) lib/rails/rack/logger.rb:26:in `call'
[----] F, [2016-06-10T06:13:22.773466 #3001:155124c] FATAL -- : request_store (1.3.1) lib/request_store/middleware.rb:9:in `call'
[----] F, [2016-06-10T06:13:22.773506 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/request_id.rb:24:in `call'
[----] F, [2016-06-10T06:13:22.773550 #3001:155124c] FATAL -- : rack (2.0.0.rc1) lib/rack/method_override.rb:22:in `call'
[----] F, [2016-06-10T06:13:22.773587 #3001:155124c] FATAL -- : rack (2.0.0.rc1) lib/rack/runtime.rb:22:in `call'
[----] F, [2016-06-10T06:13:22.773633 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
[----] F, [2016-06-10T06:13:22.773669 #3001:155124c] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/executor.rb:12:in `call'
[----] F, [2016-06-10T06:13:22.773717 #3001:155124c] FATAL -- : rack (2.0.0.rc1) lib/rack/sendfile.rb:111:in `call'
[----] F, [2016-06-10T06:13:22.773751 #3001:155124c] FATAL -- : railties (5.0.0.rc1) lib/rails/engine.rb:522:in `call'
[----] F, [2016-06-10T06:13:22.773785 #3001:155124c] FATAL -- : puma (3.3.0) lib/puma/configuration.rb:224:in `call'
[----] F, [2016-06-10T06:13:22.773819 #3001:155124c] FATAL -- : puma (3.3.0) lib/puma/server.rb:561:in `handle_request'
[----] F, [2016-06-10T06:13:22.773857 #3001:155124c] FATAL -- : puma (3.3.0) lib/puma/server.rb:406:in `process_client'
[----] F, [2016-06-10T06:13:22.773901 #3001:155124c] FATAL -- : puma (3.3.0) lib/puma/server.rb:271:in `block in run'
[----] F, [2016-06-10T06:13:22.773939 #3001:155124c] FATAL -- : puma (3.3.0) lib/puma/thread_pool.rb:111:in `call'
[----] F, [2016-06-10T06:13:22.773979 #3001:155124c] FATAL -- : puma (3.3.0) lib/puma/thread_pool.rb:111:in `block in spawn_thread'
[----] F, [2016-06-10T06:13:22.774024 #3001:155124c] FATAL -- : logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `call'
[----] F, [2016-06-10T06:13:22.774078 #3001:155124c] FATAL -- : logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

Comment 3 Harpreet Kataria 2016-06-15 14:24:18 UTC
Niyaz,

I am unable to recreate this issue on latest upstream codebase. Can you provide access to your appliance where i can see this happening, or you can re-test with next build.

Thanks,
~Harpreet

Comment 7 CFME Bot 2016-07-11 20:07:10 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/729ea14edcb9dd56432754a849ab5eee39d0642d

commit 729ea14edcb9dd56432754a849ab5eee39d0642d
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Jul 6 16:38:20 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Jul 8 08:52:07 2016 -0400

    Use SupportsFeatureMixin to interrogate a vm/template
    
    Adjusted a spec test, to make sure vm in the test is not orphaned/archived
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1344678
    https://bugzilla.redhat.com/show_bug.cgi?id=1349989

 app/controllers/application_controller/ci_processing.rb |  7 ++++---
 app/models/miq_template.rb                              |  4 ----
 app/models/vm.rb                                        |  4 ----
 app/models/vm/operations.rb                             |  2 ++
 app/models/vm/operations/lifecycle.rb                   | 10 ++++++++++
 app/models/vm_or_template.rb                            |  7 +++----
 spec/controllers/ems_common_controller_spec.rb          |  5 ++++-
 7 files changed, 23 insertions(+), 16 deletions(-)

Comment 8 CFME Bot 2016-07-11 20:07:18 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/f4cb6ebb6aead57a323b00bd3155cf57aeb9114a

commit f4cb6ebb6aead57a323b00bd3155cf57aeb9114a
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Jun 17 09:40:14 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Jul 8 08:52:07 2016 -0400

    Check if record supports retirement task only for VM or Template records
    
    Made changes to code to not check for retirement task eligibility for Service & Orchestration template records. This check should only be for VmOrTemplate records. Added model methods to check if record type supports retirement. Having service record with a same id as a MiqTemple record in database was causing an issue while trying to retire the service and incorrectly going thru the code path trying to render a flash message that "Retire does not apply to selected xxxx"
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1344678
    https://bugzilla.redhat.com/show_bug.cgi?id=1349989

 .../application_controller/ci_processing.rb        |  7 +--
 app/models/miq_template.rb                         |  4 ++
 app/models/vm.rb                                   |  4 ++
 app/models/vm_or_template.rb                       |  4 ++
 .../application_controller/ci_processing_spec.rb   | 56 ++++++++++++++++++++++
 5 files changed, 72 insertions(+), 3 deletions(-)

Comment 9 CFME Bot 2016-07-11 20:07:26 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/2cd9acb50750c28f6fe5328f1be4fae1e4bfd14c

commit 2cd9acb50750c28f6fe5328f1be4fae1e4bfd14c
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Jul 7 10:16:23 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Jul 8 08:55:52 2016 -0400

    Addressed rubocop comments
    
    Removed an extra - include SupportsFeatureMixin
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1344678
    https://bugzilla.redhat.com/show_bug.cgi?id=1349989

 app/controllers/application_controller/ci_processing.rb       |  6 +++---
 app/models/vm/operations/lifecycle.rb                         |  2 +-
 app/models/vm_or_template.rb                                  |  3 +--
 spec/controllers/application_controller/ci_processing_spec.rb | 10 ++++++----
 spec/controllers/ems_common_controller_spec.rb                |  2 +-
 5 files changed, 12 insertions(+), 11 deletions(-)

Comment 10 Harpreet Kataria 2016-08-05 17:06:19 UTC
*** Bug 1361310 has been marked as a duplicate of this bug. ***

Comment 11 Shveta 2016-09-21 04:26:08 UTC
Fixed.
Verified in 5.7.0.0.20160906172503_12f65cb


Note You need to log in before you can comment on or make changes to this bug.